httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sriskanthaverl <skanthav...@gmail.com>
Subject A patch to perl-framework test scripts for php
Date Fri, 09 Mar 2007 22:17:34 GMT
Hi,

I have come across a number of test scripts for php in perl-framework,
which get skipped for php5, as it is explicitly said those test cases
are for php4. However I didn't see any good reason for those test cases
designed to get skipped for php5.
Therefore I modified the php scripts such a way that it runs in php4 and
php5 as well. I had to change the old_function syntax in the php scripts
as follows, to ensure the syntax is comply with php5 as well.

-old_function F $a (
+function F ($a) {
         eval($a);
-);
+};

Further it required the *.t files to be changed, to make it run for php5
as well ( otherwise it get skipped).
	instead calling 'need_php4', call 'need_php' function which return true if either php4 or
php5 is defined.

I attached herewith the patch as a tar.gz, and the changes i made as a
diff file.

Would like to see your comments.

Regards
Sris


Mime
View raw message